Skip to main content
POST
/
catalog
/
v0
/
products
Upsert Products
curl --request POST \
  --url https://api.example.com/catalog/v0/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant": "<string>",
  "products": [
    {
      "product_id": "<string>",
      "item_group_id": "<string>",
      "main_product_id": "<string>",
      "image_urls": [
        "<string>"
      ],
      "category_ids": [
        "<string>"
      ],
      "transaction_product_id": "<string>",
      "locale_attributes": [
        {
          "locale_id": "<string>",
          "title": "<string>",
          "color_name": "<string>",
          "description": "<string>",
          "size_name": "<string>",
          "material": [
            "<string>"
          ],
          "custom_attributes": {}
        }
      ],
      "inventory_attributes": [
        {
          "inventory_id": "<string>",
          "in_stock": true,
          "quantity": 123,
          "custom_attributes": {}
        }
      ],
      "pricelist_attributes": [
        {
          "pricelist_id": "<string>",
          "sale_price": 1,
          "original_price": 1,
          "currency": "<string>",
          "custom_attributes": {}
        }
      ],
      "brand": "<string>",
      "inactive": false,
      "store_attributes": "<unknown>",
      "gender": "unisex",
      "age": "baby",
      "size": "<string>",
      "is_second_hand": true,
      "color_hex": "<string>",
      "custom_attributes": {}
    }
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.depict.ai/llms.txt

Use this file to discover all available pages before exploring further.

This page does not apply to installs made in 2025 or later of the Depict Shopify apps

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
merchant
string
required
products
APIProduct · object[]
required

Response

Successful Response